package br.gov.serpro.cte.email.compor;

import org.junit.Test;

import br.gov.serpro.cte.common.ExpressoMailTestCase;

/**
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Nov 16, 2010 at 4:32:01 PM
 * 
 */
public class EnviarEmailImportanteTestCase extends ExpressoMailTestCase {
	private boolean apagarEmail;

	/**
	 * 
	 */
	public EnviarEmailImportanteTestCase() {
		this.apagarEmail = true;
	}

	/**
	 * @param apagarEmail
	 */
	public EnviarEmailImportanteTestCase(boolean apagarEmail) {
		this.apagarEmail = apagarEmail;
	}

	@Test
	public void testa() throws Exception {
		super.composeEmail(getValor("email.teste.1"),
				getValor("assunto.importante"),
				getValor("texto.email.importante"));
		selenium.click(getCampo("email.importante.checkbox"));
		super.sendEmail();
		super.assertMessage(getCampo("email.mensagem"),
				getMensagem("email.enviado"));

		if (this.apagarEmail) {
			// Remove email da Caixa de Entrada, itens enviados e lixeira.
			super.removeEmail(getValor("assunto.importante"));
		}

	}
}
